Probatix Documentation
Probatix Diagnostics API v1

Retrieves the collection of DiagnosticTest resources.

Retrieves the collection of DiagnosticTest resources.

GET
/v1/diagnostic_tests

Retrieves the collection of DiagnosticTest resources.

X-API-TOKEN<token>

In: header

Query Parameters

page?integer

The collection page number

activatedAt[gt]?string

Return resources with `activatedAt` greater than the given timestamp.

activatedAt[gte]?string

Return resources with `activatedAt` greater than or equal to the given timestamp.

activatedAt[lt]?string

Return resources with `activatedAt` less than the given timestamp.

activatedAt[lte]?string

Return resources with `activatedAt` less than or equal to the given timestamp.

createdAt[gt]?string

Return resources with `createdAt` greater than the given timestamp.

createdAt[gte]?string

Return resources with `createdAt` greater than or equal to the given timestamp.

createdAt[lt]?string

Return resources with `createdAt` less than the given timestamp.

createdAt[lte]?string

Return resources with `createdAt` less than or equal to the given timestamp.

diagnosticOrder[]?array<string>

Filter by identifier, IRI, or canonical identifier.

diagnosticProduct[]?array<string>

Filter by identifier, IRI, or canonical identifier.

diagnosticTest[]?array<string>

Filter by identifier, IRI, or canonical identifier.

exists[activatedAt]?boolean

Filter by whether the activated at exists.

exists[labIntakeAt]?boolean

Filter by whether the lab intake at exists.

labIntakeAt[gt]?string

Return resources with `labIntakeAt` greater than the given timestamp.

labIntakeAt[gte]?string

Return resources with `labIntakeAt` greater than or equal to the given timestamp.

labIntakeAt[lt]?string

Return resources with `labIntakeAt` less than the given timestamp.

labIntakeAt[lte]?string

Return resources with `labIntakeAt` less than or equal to the given timestamp.

patient.dateOfBirth[]?array<string (date)>

Exact match on the patient date of birth.

patient.gender[]?array<string>

Exact match on one or more patient gender values.

search[patient.email][]?array<string (email)>

Case-insensitive partial match on the patient email.

search[patient.firstName][]?array<string>

Case-insensitive partial match on the patient first name.

search[patient.lastName][]?array<string>

Case-insensitive partial match on the patient last name.

sort[createdAt]?string

DiagnosticTest sort[createdAt]

Allowed values: "asc", "desc", "ASC", "DESC"

sort[id]?string

DiagnosticTest sort[id]

Allowed values: "asc", "desc", "ASC", "DESC"

testResult[]?array<string>

Filter by identifier, IRI, or canonical identifier.

Header Parameters

accept-language?string

Language for Errors and Translatable properties

Allowed values: "de", "en", "fr"

Response Body

curl -X GET "https://example.com/v1/diagnostic_tests" \  -H "accept-language: de"
[  {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "diagnosticOrder": "/entity/1",    "diagnosticProduct": "/entity/1",    "testResults": [      "/entity/1"    ],    "patient": {      "email": "user@example.com",      "firstName": "string",      "lastName": "string",      "gender": "M",      "dateOfBirth": "2019-08-24",      "healthInsuranceDetails": {        "countryCode": "string",        "provider": "string",        "healthInsuranceTypeDE": "GKV",        "subscriberIdentifier": "string"      }    },    "specimens": [      {        "specimenCode": "string",        "createdAt": "2019-08-24T14:15:22Z",        "collectionDate": "2019-08-24",        "collectionTime": "string",        "menstrualPhaseAtCollection": "follikel"      }    ],    "shipmentTracking": {      "provider": "DHL",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z",      "trackingCode": "string",      "url": "string",      "shipmentStatus": "confirmed",      "providerStatus": "string",      "rawProviderHistory": [        "string"      ]    },    "activatedAt": "2019-08-24T14:15:22Z",    "labIntakeAt": "2019-08-24T14:15:22Z",    "replacementDiagnosticTest": "/entity/1",    "replacesDiagnosticTest": "/entity/1",    "canceledAt": "2019-08-24T14:15:22Z",    "completedAt": "2019-08-24T14:15:22Z",    "createdAt": "2019-08-24T14:15:22Z"  }]